## freemat 4.0

=== dependencies/llvm-2.5/CMakeLists.txt ===
project(LLVM)
cmake_minimum_required(VERSION 2.6.1)

set(PACKAGE_NAME llvm)
set(PACKAGE_VERSION 2.6svn)
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "llvmbugs@cs.uiuc.edu")

if( CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR AND NOT MSVC_IDE )
  message(FATAL_ERROR "In-source builds are not allowed.
CMake would overwrite the makefiles distributed with LLVM.
Please create a directory and run cmake from there, passing the path
to this source directory as the last argument.
This process created the file `CMakeCache.txt' and the directory `CMakeFiles'.
Please delete them.")
endif()

include(FindPerl)

set(LLVM_MAIN_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(LLVM_MAIN_INCLUDE_DIR ${LLVM_MAIN_SRC_DIR}/include)
set(LLVM_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})
set(LLVM_TOOLS_BINARY_DIR ${LLVM_BINARY_DIR}/bin)
set(LLVM_EXAMPLES_BINARY_DIR ${LLVM_BINARY_DIR}/examples)

set(LLVM_ALL_TARGETS
  Alpha
  ARM
  CBackend
  CellSPU
  CppBackend
  IA64
  Mips
  MSIL
  PIC16
  PowerPC
  Sparc
  X86
  XCore
  )

# List of targets whose asmprinters need to be forced to link
# into executables on some platforms (i.e. Windows):
set(LLVM_ASMPRINTERS_FORCE_LINK X86 PowerPC)

if( MSVC )
  set(LLVM_TARGETS_TO_BUILD X86
    CACHE STRING "Semicolon-separated list of targets to build, or \"all\".")
else( MSVC )
  set(LLVM_TARGETS_TO_BUILD ${LLVM_ALL_TARGETS}
    CACHE STRING "Semicolon-separated list of targets to build, or \"all\".")
endif( MSVC )

option(LLVM_ENABLE_THREADS "Use threads if available." ON)

if( LLVM_TARGETS_TO_BUILD STREQUAL "all" )
  set( LLVM_TARGETS_TO_BUILD ${LLVM_ALL_TARGETS} )
endif()

foreach(c ${LLVM_TARGETS_TO_BUILD})
  list(FIND LLVM_ALL_TARGETS ${c} idx)
  if( idx LESS 0 )
    message(FATAL_ERROR "The target `${c}' does not exists.
    It should be one of\n${LLVM_ALL_TARGETS}")
  endif()
endforeach(c)

set(llvm_builded_incs_dir ${LLVM_BINARY_DIR}/include/llvm)

# Add path for custom modules
set(CMAKE_MODULE_PATH
  ${CMAKE_MODULE_PATH}
  "${LLVM_MAIN_SRC_DIR}/cmake"
  "${LLVM_MAIN_SRC_DIR}/cmake/modules"
  )

if(WIN32)
  if(CYGWIN)
    set(LLVM_ON_WIN32 0)
    set(LLVM_ON_UNIX 1)
  else(CYGWIN)
    set(LLVM_ON_WIN32 1)
    set(LLVM_ON_UNIX 0)
  endif(CYGWIN)
  set(LTDL_SHLIB_EXT ".dll")
  set(EXEEXT ".exe")
  # Maximum path length is 160 for non-unicode paths
  set(MAXPATHLEN 160)
else(WIN32)
  if(UNIX)
    set(LLVM_ON_WIN32 0)
    set(LLVM_ON_UNIX 1)
    set(LTDL_SHLIB_EXT ".so")
    set(EXEEXT "")
    # FIXME: Maximum path length is currently set to 'safe' fixed value
    set(MAXPATHLEN 2024)
  else(UNIX)
    MESSAGE(SEND_ERROR "Unable to determine platform")
  endif(UNIX)
endif(WIN32)

if( EXISTS ${LLVM_TOOLS_BINARY_DIR}/llvm-config )
  set(HAVE_LLVM_CONFIG 1)
endif( EXISTS ${LLVM_TOOLS_BINARY_DIR}/llvm-config )

include(config-ix)

option(LLVM_ENABLE_PIC "Build Position-Independent Code" OFF)

if( LLVM_ENABLE_PIC )
  if( SUPPORTS_FPIC_FLAG )
    message(STATUS "Building with -fPIC")
    add_definitions(-fPIC)
  else( SUPPORTS_FPIC_FLAG )
    message(STATUS "Warning: -fPIC not supported.")
  endif()
endif()

set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${LLVM_TOOLS_BINARY_DIR} )
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${LLVM_BINARY_DIR}/lib )
set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${LLVM_BINARY_DIR}/lib )

# set(CMAKE_VERBOSE_MAKEFILE true)

add_definitions( -D__STDC_LIMIT_MACROS )
add_definitions( -D__STDC_CONSTANT_MACROS )

set(LLVM_PLO_FLAGS "" CACHE
  STRING "Flags for creating partially linked objects.")

if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT WIN32 )
  # TODO: support other platforms and toolchains.
  option(LLVM_BUILD_32_BITS "Build 32 bits executables and libraries." OFF)
  if( LLVM_BUILD_32_BITS )
    message(STATUS "Building 32 bits executables and libraries.")
    add_definitions( -m32 )
    list(APPEND CMAKE_EXE_LINKER_FLAGS -m32)
    list(APPEND CMAKE_SHARED_LINKER_FLAGS -m32)
    set( LLVM_PLO_FLAGS -melf_i386 ${LLVM_PLO_FLAGS} )
  endif( LLVM_BUILD_32_BITS )
endif( CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT WIN32 )

if( MSVC )
  add_definitions( -D_CRT_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS )
  add_definitions( -D_SCL_SECURE_NO_WARNINGS -DCRT_NONSTDC_NO_WARNINGS )
  add_definitions( -D_SCL_SECURE_NO_DEPRECATE )
  add_definitions( -wd4146 -wd4503 -wd4996 -wd4800 -wd4244 -wd4624 )
  add_definitions( -wd4355 -wd4715 )
endif( MSVC )

include_directories( ${LLVM_BINARY_DIR}/include ${LLVM_MAIN_INCLUDE_DIR})

include(AddLLVM)
include(AddPartiallyLinkedObject)
include(TableGen)

add_subdirectory(lib/Support)
add_subdirectory(lib/System)

# Everything else depends on Support and System:
set(LLVM_COMMON_DEPENDS ${LLVM_COMMON_DEPENDS} ${LLVM_LIBS} )

set(LLVM_TABLEGEN "tblgen" CACHE
  STRING "Native TableGen executable. Saves building one when cross-compiling.")

add_subdirectory(utils/TableGen)

if( CMAKE_CROSSCOMPILING )
  # This adds a dependency on target `tblgen', so must go after utils/TableGen
  include( CrossCompileLLVM )
endif( CMAKE_CROSSCOMPILING )

add_subdirectory(include/llvm)

add_subdirectory(lib/VMCore)
add_subdirectory(lib/CodeGen)
add_subdirectory(lib/CodeGen/SelectionDAG)
add_subdirectory(lib/CodeGen/AsmPrinter)
add_subdirectory(lib/Bitcode/Reader)
add_subdirectory(lib/Bitcode/Writer)
add_subdirectory(lib/Transforms/Utils)
add_subdirectory(lib/Transforms/Instrumentation)
add_subdirectory(lib/Transforms/Scalar)
add_subdirectory(lib/Transforms/IPO)
add_subdirectory(lib/Transforms/Hello)
add_subdirectory(lib/Linker)
add_subdirectory(lib/Analysis)
add_subdirectory(lib/Analysis/IPA)

foreach(t ${LLVM_TARGETS_TO_BUILD})
  message(STATUS "Targeting ${t}")
  add_subdirectory(lib/Target/${t})
  if( EXISTS ${LLVM_MAIN_SRC_DIR}/lib/Target/${t}/AsmPrinter/CMakeLists.txt )
    add_subdirectory(lib/Target/${t}/AsmPrinter)
  endif( EXISTS ${LLVM_MAIN_SRC_DIR}/lib/Target/${t}/AsmPrinter/CMakeLists.txt )
endforeach(t)

add_subdirectory(lib/ExecutionEngine)
add_subdirectory(lib/ExecutionEngine/Interpreter)
add_subdirectory(lib/ExecutionEngine/JIT)
add_subdirectory(lib/Target)
add_subdirectory(lib/AsmParser)
add_subdirectory(lib/Debugger)
add_subdirectory(lib/Archive)

#add_subdirectory(tools)

#add_subdirectory(examples)

install(DIRECTORY include
  DESTINATION .
  PATTERN ".svn" EXCLUDE
  PATTERN "*.cmake" EXCLUDE
  PATTERN "*.in" EXCLUDE
  )

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/include
  DESTINATION .
  )

# TODO: make and install documentation.

=== dependencies/llvm-2.5/Makefile ===
#===- ./Makefile -------------------------------------------*- Makefile -*--===#
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
#===------------------------------------------------------------------------===#

LEVEL := .

# Top-Level LLVM Build Stages:
#   1. Build lib/System and lib/Support, which are used by utils (tblgen).
#   2. Build utils, which is used by VMCore.
#   3. Build VMCore, which builds the Intrinsics.inc file used by libs.
#   4. Build libs, which are needed by llvm-config.
#   5. Build llvm-config, which determines inter-lib dependencies for tools.
#   6. Build tools, runtime, docs.
#
# When cross-compiling, there are some things (tablegen) that need to
# be build for the build system first.
ifeq ($(BUILD_DIRS_ONLY),1)
  DIRS := lib/System lib/Support utils
  OPTIONAL_DIRS :=
else
  DIRS := lib/System lib/Support utils lib/VMCore lib tools/llvm-config \
          tools runtime docs
  OPTIONAL_DIRS := examples projects bindings
endif

EXTRA_DIST := test unittests llvm.spec include win32 Xcode

include $(LEVEL)/Makefile.config

# llvm-gcc4 doesn't need runtime libs.  llvm-gcc4 is the only supported one.
# FIXME: Remove runtime entirely once we have an understanding of where
# libprofile etc should go.
#ifeq ($(LLVMGCC_MAJVERS),4)
  DIRS := $(filter-out runtime, $(DIRS))
#endif

ifeq ($(MAKECMDGOALS),libs-only)
  DIRS := $(filter-out tools runtime docs, $(DIRS))
  OPTIONAL_DIRS :=
endif

ifeq ($(MAKECMDGOALS),install-libs)
  DIRS := $(filter-out tools runtime docs, $(DIRS))
  OPTIONAL_DIRS := $(filter bindings, $(OPTIONAL_DIRS))
endif

ifeq ($(MAKECMDGOALS),tools-only)
  DIRS := $(filter-out runtime docs, $(DIRS))
  OPTIONAL_DIRS :=
endif

ifeq ($(MAKECMDGOALS),install-clang)
  DIRS := tools/clang/Driver tools/clang/lib/Headers tools/clang/tools/ccc
  OPTIONAL_DIRS :=
  NO_INSTALL = 1
endif

ifeq ($(MAKECMDGOALS),clang-only)
  DIRS := $(filter-out tools runtime docs, $(DIRS)) tools/clang
  OPTIONAL_DIRS :=
endif

ifeq ($(MAKECMDGOALS),unittests)
  DIRS := $(filter-out tools runtime docs, $(DIRS)) utils unittests
  OPTIONAL_DIRS :=
endif

# Don't install utils, examples, or projects they are only used to
# build LLVM.
ifeq ($(MAKECMDGOALS),install)
  DIRS := $(filter-out utils, $(DIRS))
  OPTIONAL_DIRS := $(filter bindings, $(OPTIONAL_DIRS))
endif

# If we're cross-compiling, build the build-hosted tools first
ifeq ($(LLVM_CROSS_COMPILING),1)
all:: cross-compile-build-tools

clean::
	$(Verb) rm -rf BuildTools

cross-compile-build-tools:
	$(Verb) if [ ! -f BuildTools/Makefile ]; then \
          $(MKDIR) BuildTools; \
	  cd BuildTools ; \
	  $(PROJ_SRC_DIR)/configure ; \
	  cd .. ; \
	fi; \
        ($(MAKE) -C BuildTools BUILD_DIRS_ONLY=1 ) || exit 1;
endif

# Include the main makefile machinery.
include $(LLVM_SRC_ROOT)/Makefile.rules

# Specify options to pass to configure script when we're
# running the dist-check target
DIST_CHECK_CONFIG_OPTIONS = --with-llvmgccdir=$(LLVMGCCDIR)

.PHONY: debug-opt-prof
debug-opt-prof:
	$(Echo) Building Debug Version
	$(Verb) $(MAKE)
	$(Echo)
	$(Echo) Building Optimized Version
	$(Echo)
	$(Verb) $(MAKE) ENABLE_OPTIMIZED=1
	$(Echo)
	$(Echo) Building Profiling Version
	$(Echo)
	$(Verb) $(MAKE) ENABLE_PROFILING=1

dist-hook::
	$(Echo) Eliminating files constructed by configure
	$(Verb) $(RM) -f \
	  $(TopDistDir)/include/llvm/ADT/hash_map.h  \
	  $(TopDistDir)/include/llvm/ADT/hash_set.h  \
	  $(TopDistDir)/include/llvm/ADT/iterator.h  \
	  $(TopDistDir)/include/llvm/Config/config.h  \
	  $(TopDistDir)/include/llvm/Support/DataTypes.h  \
	  $(TopDistDir)/include/llvm/Support/ThreadSupport.h

clang-only: all
tools-only: all
libs-only: all
install-clang: install
install-libs: install

#------------------------------------------------------------------------
# Make sure the generated headers are up-to-date. This must be kept in
# sync with the AC_CONFIG_HEADER invocations in autoconf/configure.ac
#------------------------------------------------------------------------
FilesToConfig := \
  include/llvm/Config/config.h \
  include/llvm/Support/DataTypes.h \
  include/llvm/ADT/hash_map.h \
  include/llvm/ADT/hash_set.h \
  include/llvm/ADT/iterator.h
FilesToConfigPATH  := $(addprefix $(LLVM_OBJ_ROOT)/,$(FilesToConfig))

all-local:: $(FilesToConfigPATH)
$(FilesToConfigPATH) : $(LLVM_OBJ_ROOT)/% : $(LLVM_SRC_ROOT)/%.in
	$(Echo) Regenerating $*
	$(Verb) cd $(LLVM_OBJ_ROOT) && $(ConfigStatusScript) $*
.PRECIOUS: $(FilesToConfigPATH)

# NOTE: This needs to remain as the last target definition in this file so
# that it gets executed last.
ifneq ($(BUILD_DIRS_ONLY),1)
all::
	$(Echo) '*****' Completed $(BuildMode)$(AssertMode) Build
ifeq ($(BuildMode),Debug)
	$(Echo) '*****' Note: Debug build can be 10 times slower than an
	$(Echo) '*****' optimized build. Use 'make ENABLE_OPTIMIZED=1' to
	$(Echo) '*****' make an optimized build. Alternatively you can
	$(Echo) '*****' configure with --enable-optimized.
endif
endif

check-llvm2cpp:
	$(Verb)$(MAKE) check TESTSUITE=Feature RUNLLVM2CPP=1

check-one:
	$(Verb)$(MAKE) -C test check-one TESTONE=$(TESTONE)

srpm: $(LLVM_OBJ_ROOT)/llvm.spec
	rpmbuild -bs $(LLVM_OBJ_ROOT)/llvm.spec

rpm: $(LLVM_OBJ_ROOT)/llvm.spec
	rpmbuild -bb --target $(TARGET_TRIPLE) $(LLVM_OBJ_ROOT)/llvm.spec

show-footprint:
	$(Verb) du -sk $(LibDir)
	$(Verb) du -sk $(ToolDir)
	$(Verb) du -sk $(ExmplDir)
	$(Verb) du -sk $(ObjDir)

build-for-llvm-top:
	$(Verb) if test ! -f ./config.status ; then \
	  ./configure --prefix="$(LLVM_TOP)/install" \
	    --with-llvm-gcc="$(LLVM_TOP)/llvm-gcc" ; \
	fi
	$(Verb) $(MAKE) tools-only

SVN = svn
SVN-UPDATE-OPTIONS =
AWK = awk
SUB-SVN-DIRS = $(AWK) '/\?\ \ \ \ \ \ / {print $$2}'   \
		| LANG=C xargs $(SVN) info 2>/dev/null \
		| $(AWK) '/Path:\ / {print $$2}'

update:
	$(SVN) $(SVN-UPDATE-OPTIONS) update $(LLVM_SRC_ROOT)
	@ $(SVN) status $(LLVM_SRC_ROOT) | $(SUB-SVN-DIRS) | xargs $(SVN) $(SVN-UPDATE-OPTIONS) update

happiness: update all check unittests

.PHONY: srpm rpm update happiness

# declare all targets at this level to be serial:

.NOTPARALLEL:

=== dependencies/volpack-1.0c7/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/volpack
pkglibdir = $(libdir)/volpack
pkgincludedir = $(includedir)/volpack
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL \
	config.guess config.sub depcomp install-sh ltmain.sh missing \
	mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run autoconf
AUTOHEADER = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run autoheader
AUTOMAKE = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FFLAGS = -g -O2
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVERSION = 1:4:0
LN_S = ln -s
LTLIBOBJS = 
M4 = /usr/bin/m4
MAJOR = 1
MAKEINFO = ${SHELL} /home/basu/src/volpack-1.0c7/missing --run makeinfo
MINOR = 4
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = volpack
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.0c7
abs_builddir = /home/basu/src/volpack-1.0c7
abs_srcdir = /home/basu/src/volpack-1.0c7
abs_top_builddir = /home/basu/src/volpack-1.0c7
abs_top_srcdir = /home/basu/src/volpack-1.0c7
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/basu/src/volpack-1.0c7/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/basu
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = \
	foreign

SUBDIRS = \
	etc \
	src \
	man \
	examples \
	doc 

DISTCLEANFILES = *~
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	test -d $(distdir) || mkdir $(distdir)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \

=== libs/libCore/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}  ${QT_QTNETWORK_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} )

QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/helpwidget.hpp ${CMAKE_CURRENT_SOURCE_DIR}/helpwidget.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/XML.hpp ${CMAKE_CURRENT_SOURCE_DIR}/XML.moc.cpp )

ADD_LIBRARY( Core 
Abs.cpp 
Binary.cpp 
Ceil.cpp 
Conj.cpp 
CumProd.cpp 
CumSum.cpp 
Dot.cpp
Floor.cpp 
Max.cpp 
Min.cpp 
Prod.cpp 
RCond.cpp 
Round.cpp 
Sum.cpp 
Time.cpp 
Variance.cpp 
RealImag.cpp 
Sort.cpp 
Unique.cpp 
XNorm.cpp 
Analyze.cpp 
Cast.cpp 
Constants.cpp 
Reshape.cpp 
Zeros.cpp 
Ones.cpp 
Cell.cpp 
Struct.cpp 
Directory.cpp 
FFT.cpp 
helpwidget.cpp 
Help.cpp 
Hex.cpp 
Clear.cpp 
Exist.cpp 
Find.cpp 
Is.cpp 
Size.cpp 
Path.cpp 
Inspect.cpp 
Audio.cpp 
Random.cpp 
RanLib.cpp 
Image.cpp 
File.cpp 
Printf.cpp 
IO.cpp 
Conv.cpp 
Eval.cpp 
Debug.cpp 
LU.cpp 
QR.cpp 
Eigen.cpp 
SVD.cpp 
Array.cpp 
Version.cpp 
Error.cpp 
Misc.cpp 
Mean.cpp 
MPIWrap.cpp 
StringOps.cpp 
Transcendental.cpp 
Trigonometric.cpp 
Utils.cpp 
MatIO.cpp 
XML.cpp 
Cstruct.cpp 
Loader.cpp 
Control.cpp 
Sparse.cpp 
Matrix.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/helpwidget.moc.cpp
${CMAKE_CURRENT_SOURCE_DIR}/XML.moc.cpp )

=== libs/libFN/CMakeLists.txt ===
# IF( NOT MSVC )
#   PROJECT( XP Fortran )
# ENDIF( NOT MSVC )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} )
INCLUDE_DIRECTORIES(levmar-2.3)

IF( MSVC )
  SET(LIBM_FILES 
	 mathfunc.cpp
	 mathfunc2.cpp
	 mathfunc3.cpp
	 mathfunc4.cpp
  )
ENDIF( MSVC )

ADD_LIBRARY( FN
FNFun.cpp 
Interp1D.cpp 
LoadFN.cpp 
OptFun.cpp 
${LIBM_FILES}
)

ADD_SUBDIRECTORY(levmar-2.3)

#SET_SOURCE_FILES_PROPERTIES( ${F_FILES} PROPERTIES HEADER_FILE_ONLY TRUE )
SET_TARGET_PROPERTIES( FN PROPERTIES LINKER_LANGUAGE CXX )
WRITE_OUT_ALL_VARIABLES()

=== libs/libGraphics/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTOPENGL_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR} )

QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/HandleUIControl.hpp ${CMAKE_CURRENT_SOURCE_DIR}/HandleUIControl.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/HandleMultiEdit.hpp ${CMAKE_CURRENT_SOURCE_DIR}/HandleMultiEdit.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/HandleWindow.hpp ${CMAKE_CURRENT_SOURCE_DIR}/HandleWindow.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/GLWindow.hpp ${CMAKE_CURRENT_SOURCE_DIR}/GLWindow.moc.cpp )

ADD_LIBRARY( Graphics 
GLRenderEngine.cpp 
HandleAxis.cpp 
HandleCommands.cpp 
HandleContour.cpp 
HandleFigure.cpp 
HandleImage.cpp 
HandleLineSeries.cpp 
HandleObject.cpp 
HandleProperty.cpp 
HandleSurface.cpp 
HandlePatch.cpp
HandleText.cpp 
HandleWindow.cpp 
QTRenderEngine.cpp 
RenderEngine.cpp 
HandleUIControl.cpp 
HandleMultiEdit.cpp 
GLWindow.cpp
trackball.cpp
${CMAKE_CURRENT_SOURCE_DIR}/HandleUIControl.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/HandleMultiEdit.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/HandleWindow.moc.cpp
${CMAKE_CURRENT_SOURCE_DIR}/GLWindow.moc.cpp
)

=== libs/libMex/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} )

ADD_LIBRARY( Mex
MexInterface.cpp 
mxArray.cpp
)

=== libs/libXP/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} )


ADD_LIBRARY( XP 
DynLib.cpp 
KeyManager.cpp 
PathSearch.cpp 
QTTerm.cpp 
System.cpp 
Editor.cpp 
FMFontDialog.cpp
PathTool.cpp 
highlighter.cpp 
FileTool.cpp 
Common.cpp 
ToolDock.cpp 
VariablesTool.cpp 
HistoryWidget.cpp 
DebugWin.cpp
DataTable.cpp
StackTool.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontform.ui.h
${CMAKE_CURRENT_SOURCE_DIR}/findform.ui.h
${CMAKE_CURRENT_SOURCE_DIR}/replaceform.ui.h 
${CMAKE_CURRENT_SOURCE_DIR}/synlightconf.ui.h 
${CMAKE_CURRENT_SOURCE_DIR}/indentconf.ui.h 
${CMAKE_CURRENT_SOURCE_DIR}/KeyManager.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/QTTerm.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/Editor.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/FMFontDialog.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/PathTool.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/highlighter.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/VariablesTool.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/FileTool.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/HistoryWidget.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/ToolDock.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/DebugWin.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/DataTable.moc.cpp 
${CMAKE_CURRENT_SOURCE_DIR}/StackTool.moc.cpp
)

QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/KeyManager.hpp ${CMAKE_CURRENT_SOURCE_DIR}/KeyManager.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/QTTerm.hpp ${CMAKE_CURRENT_SOURCE_DIR}/QTTerm.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/Editor.hpp ${CMAKE_CURRENT_SOURCE_DIR}/Editor.moc.cpp ) 
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/FMFontDialog.hpp ${CMAKE_CURRENT_SOURCE_DIR}/FMFontDialog.moc.cpp ) 
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/PathTool.hpp ${CMAKE_CURRENT_SOURCE_DIR}/PathTool.moc.cpp )  
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/highlighter.hpp ${CMAKE_CURRENT_SOURCE_DIR}/highlighter.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/VariablesTool.hpp ${CMAKE_CURRENT_SOURCE_DIR}/VariablesTool.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/FileTool.hpp ${CMAKE_CURRENT_SOURCE_DIR}/FileTool.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/HistoryWidget.hpp ${CMAKE_CURRENT_SOURCE_DIR}/HistoryWidget.moc.cpp )  
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/ToolDock.hpp ${CMAKE_CURRENT_SOURCE_DIR}/ToolDock.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/VariablesTool.hpp ${CMAKE_CURRENT_SOURCE_DIR}/VariablesTool.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/DebugWin.hpp ${CMAKE_CURRENT_SOURCE_DIR}/DebugWin.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/DataTable.hpp ${CMAKE_CURRENT_SOURCE_DIR}/DataTable.moc.cpp )
QT4_GENERATE_MOC( ${CMAKE_CURRENT_SOURCE_DIR}/StackTool.hpp ${CMAKE_CURRENT_SOURCE_DIR}/StackTool.moc.cpp )

QT4_GENERATE_UI( ${CMAKE_CURRENT_SOURCE_DIR}/findform.ui ${CMAKE_CURRENT_SOURCE_DIR}/findform.ui.h )
QT4_GENERATE_UI( ${CMAKE_CURRENT_SOURCE_DIR}/replaceform.ui ${CMAKE_CURRENT_SOURCE_DIR}/replaceform.ui.h )
QT4_GENERATE_UI( ${CMAKE_CURRENT_SOURCE_DIR}/synlightconf.ui ${CMAKE_CURRENT_SOURCE_DIR}/synlightconf.ui.h )  
QT4_GENERATE_UI( ${CMAKE_CURRENT_SOURCE_DIR}/indentconf.ui ${CMAKE_CURRENT_SOURCE_DIR}/indentconf.ui.h )
QT4_GENERATE_UI( ${CMAKE_CURRENT_SOURCE_DIR}/fontform.ui ${CMAKE_CURRENT_SOURCE_DIR}/fontform.ui.h )

=== tools/pkg_builder/Makefile ===
#############################################################################
# Makefile for building: pkg_builder
# Generated by qmake (2.01a) (Qt 4.3.1) on: Fri Oct 19 01:41:11 2007
# Project:  pkg_builder.pro
# Template: app
# Command: /usr/lib/qt4/bin/qmake-qt4 -unix -o Makefile pkg_builder.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SCRIPT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtGui -I/usr/include/QtScript -I/usr/include/QtScript -I/usr/include -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)   -lQtScript -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/qt4/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = pkg_builder.cpp \
		ioapi.c \
		quazip.cpp \
		quazipfile.cpp \
		quazipnewinfo.cpp \
		unzip.c \
		zip.c moc_pkg_builder.cpp \
		moc_quazipfile.cpp
OBJECTS       = pkg_builder.o \
		ioapi.o \
		quazip.o \
		quazipfile.o \
		quazipnewinfo.o \
		unzip.o \
		zip.o \
		moc_pkg_builder.o \
		moc_quazipfile.o
DIST          = /usr/share/qt4/mkspecs/common/g++-multilib.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		pkg_builder.pro
QMAKE_TARGET  = pkg_builder
DESTDIR       = 
TARGET        = pkg_builder

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: pkg_builder.pro  /usr/lib/qt4/mkspecs/linux-g++/qmake.conf /usr/lib/qt4/mkspecs/common/g++-multilib.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/lib/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile pkg_builder.pro
/usr/lib/qt4/mkspecs/common/g++-multilib.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/lib/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile pkg_builder.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/pkg_builder1.0.0 || $(MKDIR) .tmp/pkg_builder1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/pkg_builder1.0.0/ && $(COPY_FILE) --parents pkg_builder.hpp crypt.h ioapi.h quazip.h quazipfile.h quazipfileinfo.h quazipnewinfo.h unzip.h zip.h .tmp/pkg_builder1.0.0/ && $(COPY_FILE) --parents pkg_builder.cpp ioapi.c quazip.cpp quazipfile.cpp quazipnewinfo.cpp unzip.c zip.c .tmp/pkg_builder1.0.0/ && (cd `dirname .tmp/pkg_builder1.0.0` && $(TAR) pkg_builder1.0.0.tar pkg_builder1.0.0 && $(COMPRESS) pkg_builder1.0.0.tar) && $(MOVE) `dirname .tmp/pkg_builder1.0.0`/pkg_builder1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/pkg_builder1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/lib/qt4/bin/moc:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_pkg_builder.cpp moc_quazipfile.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_pkg_builder.cpp moc_quazipfile.cpp
moc_pkg_builder.cpp: pkg_builder.hpp \
		/usr/lib/qt4/bin/moc
	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) pkg_builder.hpp -o moc_pkg_builder.cpp

moc_quazipfile.cpp: quazip.h \
		zip.h \
		ioapi.h \
		unzip.h \
		quazipfileinfo.h \
		quazipnewinfo.h \
		quazipfile.h \
		/usr/lib/qt4/bin/moc
	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) quazipfile.h -o moc_quazipfile.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

pkg_builder.o: pkg_builder.cpp pkg_builder.hpp \
		quazip.h \
		zip.h \
		ioapi.h \
		unzip.h \
		quazipfileinfo.h \
		quazipfile.h \
		quazipnewinfo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pkg_builder.o pkg_builder.cpp

ioapi.o: ioapi.c ioapi.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o ioapi.o ioapi.c

quazip.o: quazip.cpp quazip.h \
		zip.h \
		ioapi.h \
		unzip.h \
		quazipfileinfo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o quazip.o quazip.cpp

quazipfile.o: quazipfile.cpp quazipfile.h \
		quazip.h \
		zip.h \
		ioapi.h \
		unzip.h \
		quazipfileinfo.h \
		quazipnewinfo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o quazipfile.o quazipfile.cpp

quazipnewinfo.o: quazipnewinfo.cpp quazipnewinfo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o quazipnewinfo.o quazipnewinfo.cpp

unzip.o: unzip.c unzip.h \
		ioapi.h \
		crypt.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o unzip.o unzip.c

zip.o: zip.c zip.h \
		ioapi.h \
		crypt.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o zip.o zip.c

moc_pkg_builder.o: moc_pkg_builder.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_pkg_builder.o moc_pkg_builder.cpp

moc_quazipfile.o: moc_quazipfile.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_quazipfile.o moc_quazipfile.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== dependencies/llvm-2.5/docs/Makefile ===
##===- docs/Makefile ---------------------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL      := ..
DIRS       := CommandGuide tutorial

ifdef BUILD_FOR_WEBSITE
PROJ_OBJ_DIR = .
DOXYGEN = doxygen

$(PROJ_OBJ_DIR)/doxygen.cfg: doxygen.cfg.in
	cat $< | sed \
	  -e 's/@abs_top_srcdir@/../g' \
	  -e 's/@DOT@/dot/g' \
	  -e 's/@PACKAGE_VERSION@/mainline/' \
	  -e 's/@abs_top_builddir@/../g' > $@
endif

include $(LEVEL)/Makefile.common

HTML       := $(wildcard $(PROJ_SRC_DIR)/*.html) \
              $(wildcard $(PROJ_SRC_DIR)/*.css)
IMAGES     := $(wildcard $(PROJ_SRC_DIR)/img/*.*)
DOXYFILES  := doxygen.cfg.in doxygen.css doxygen.footer doxygen.header \
              doxygen.intro
EXTRA_DIST := $(HTML) $(DOXYFILES) llvm.css CommandGuide img

.PHONY: install-html install-doxygen doxygen install-ocamldoc ocamldoc generated

install_targets := install-html
ifeq ($(ENABLE_DOXYGEN),1)
install_targets += install-doxygen
endif
ifneq (,$(filter ocaml,$(BINDINGS_TO_BUILD)))
install_targets += install-ocamldoc
endif
install-local:: $(install_targets)

# Live documentation is generated for the web site using this target:
# 'make generated BUILD_FOR_WEBSITE=1'
generated:: doxygen ocamldoc

install-html: $(PROJ_OBJ_DIR)/html.tar.gz
	$(Echo) Installing HTML documentation
	$(Verb) $(MKDIR) $(PROJ_docsdir)/html
	$(Verb) $(MKDIR) $(PROJ_docsdir)/html/img
	$(Verb) $(DataInstall) $(HTML) $(PROJ_docsdir)/html
	$(Verb) $(DataInstall) $(IMAGES) $(PROJ_docsdir)/html/img
	$(Verb) $(DataInstall) $(PROJ_OBJ_DIR)/html.tar.gz $(PROJ_docsdir)

$(PROJ_OBJ_DIR)/html.tar.gz: $(HTML)
	$(Echo) Packaging HTML documentation
	$(Verb) $(RM) -rf $@ $(PROJ_OBJ_DIR)/html.tar
	$(Verb) cd $(PROJ_SRC_DIR) && \
	  $(TAR) cf $(PROJ_OBJ_DIR)/html.tar *.html
	$(Verb) $(GZIP) $(PROJ_OBJ_DIR)/html.tar

install-doxygen: doxygen
	$(Echo) Installing doxygen documentation
	$(Verb) $(MKDIR) $(PROJ_docsdir)/html/doxygen
	$(Verb) $(DataInstall) $(PROJ_OBJ_DIR)/doxygen.tar.gz $(PROJ_docsdir)
	$(Verb) cd $(PROJ_OBJ_DIR)/doxygen && \
	  $(FIND) . -type f -exec \
	    $(DataInstall) {} $(PROJ_docsdir)/html/doxygen \;

doxygen: regendoc $(PROJ_OBJ_DIR)/doxygen.tar.gz

regendoc:
	$(Echo) Building doxygen documentation
	$(Verb) if test -e $(PROJ_OBJ_DIR)/doxygen ; then \
	  $(RM) -rf $(PROJ_OBJ_DIR)/doxygen ; \
	fi
	$(Verb) $(DOXYGEN) $(PROJ_OBJ_DIR)/doxygen.cfg

$(PROJ_OBJ_DIR)/doxygen.tar.gz: $(DOXYFILES) $(PROJ_OBJ_DIR)/doxygen.cfg
	$(Echo) Packaging doxygen documentation
	$(Verb) $(RM) -rf $@ $(PROJ_OBJ_DIR)/doxygen.tar
	$(Verb) $(TAR) cf $(PROJ_OBJ_DIR)/doxygen.tar doxygen
	$(Verb) $(GZIP) $(PROJ_OBJ_DIR)/doxygen.tar
	$(Verb) $(CP) $(PROJ_OBJ_DIR)/doxygen.tar.gz $(PROJ_OBJ_DIR)/doxygen/html/

userloc: $(LLVM_SRC_ROOT)/docs/userloc.html

$(LLVM_SRC_ROOT)/docs/userloc.html:
	$(Echo) Making User LOC Table
	$(Verb) cd $(LLVM_SRC_ROOT) ; ./utils/userloc.pl -details -recurse \
	  -html lib include tools runtime utils examples autoconf test > docs/userloc.html

install-ocamldoc: ocamldoc
	$(Echo) Installing ocamldoc documentation
	$(Verb) $(MKDIR) $(PROJ_docsdir)/ocamldoc/html
	$(Verb) $(DataInstall) $(PROJ_OBJ_DIR)/ocamldoc.tar.gz $(PROJ_docsdir)
	$(Verb) cd $(PROJ_OBJ_DIR)/ocamldoc && \
	  $(FIND) . -type f -exec \
	    $(DataInstall) {} $(PROJ_docsdir)/ocamldoc/html \;

ocamldoc: regen-ocamldoc $(PROJ_OBJ_DIR)/ocamldoc.tar.gz

regen-ocamldoc:
	$(Echo) Building ocamldoc documentation
	$(Verb) if test -e $(PROJ_OBJ_DIR)/ocamldoc ; then \
		$(RM) -rf $(PROJ_OBJ_DIR)/ocamldoc ; \
	fi
	$(Verb) $(MAKE) -C $(LEVEL)/bindings/ocaml ocamldoc
	$(Verb) $(MKDIR) $(PROJ_OBJ_DIR)/ocamldoc/html
	$(Verb) \
		$(OCAMLDOC) -d $(PROJ_OBJ_DIR)/ocamldoc/html -sort -colorize-code -html \
		`$(FIND) $(LEVEL)/bindings/ocaml -name "*.odoc" -exec echo -load '{}' ';'`

$(PROJ_OBJ_DIR)/ocamldoc.tar.gz:
	$(Echo) Packaging ocamldoc documentation
	$(Verb) $(RM) -rf $@ $(PROJ_OBJ_DIR)/ocamldoc.tar
	$(Verb) $(TAR) cf $(PROJ_OBJ_DIR)/ocamldoc.tar ocamldoc
	$(Verb) $(GZIP) $(PROJ_OBJ_DIR)/ocamldoc.tar
	$(Verb) $(CP) $(PROJ_OBJ_DIR)/ocamldoc.tar.gz $(PROJ_OBJ_DIR)/ocamldoc/html/

uninstall-local::
	$(Echo) Uninstalling Documentation
	$(Verb) $(RM) -rf $(PROJ_docsdir)

=== dependencies/llvm-2.5/examples/Makefile ===
##===- examples/Makefile -----------------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##
LEVEL=..

include $(LEVEL)/Makefile.config

PARALLEL_DIRS:= BrainF Fibonacci HowToUseJIT ModuleMaker

ifeq ($(HAVE_PTHREAD),1)
PARALLEL_DIRS += ParallelJIT 
endif

include $(LEVEL)/Makefile.common

=== dependencies/llvm-2.5/lib/Makefile ===
##===- lib/Makefile ----------------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##
LEVEL = ..

PARALLEL_DIRS = VMCore AsmParser Bitcode Archive Analysis Transforms CodeGen \
                Target ExecutionEngine Debugger Linker

include $(LEVEL)/Makefile.common

=== debian/changelog ===
freemat (4.0-5build1) trusty; urgency=medium

  * No-change rebuild for suitesparse transition.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 20 Dec 2013 21:56:31 -0500

freemat (4.0-5) unstable; urgency=critical

  * [960f60c] Fix installing a binaries during arch-build. (Closes: #671059)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 01 May 2012 22:55:00 +0200

freemat (4.0-4) unstable; urgency=low

  * [f13aab7] Fix typo in the .desktop file (Closes: #620152). 
              Thanks: Andrea Carpineti <carpineti.dev@gmail.com>
  * [67a26ec] [8492f95] Simplify debian/rules.
  * [3357d89] Use compat-level 9.
  * [c4d59b1] Use Standards-Version: 3.9.3. No changes.
  * [ede0939] Use DEP-5 for copyright file.
  * [a1ed7bf] Fix FTBFS against Qt 4.8. (Closes: #662708)
  * [285ed97] Add myself to uploaders.
  * [afad98d] Enable DM-Upload-Allowed flag.
  * [7e76544] Regenerate pdf during build.

  [ Sylvestre Ledru ]
  * Team upload (no upload for the last two years)

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 19 Apr 2012 21:06:00 +0200

freemat (4.0-3) unstable; urgency=low

  * [8eea3c8] Added ${misc:Depends} in Depends
  * [5d89a81] Switch to dpkg-source 3.0 (quilt) format
  * [387779e] Remove *.moc.cpp files on clean, they don't work with
    current Qt and cause FTBFS. (Closes: #572821, #581280) - thanks to
    Ilya Barygin
  * [baaac84] Fix ftbfs with gcc-4.5 (Closes: #564988)
  * [7e3aab3] Bump Standards-Version, no changes needed

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 04 Jun 2010 14:05:41 +0200

freemat (4.0-2) unstable; urgency=low

  * [abc05c0] Maintain freemat with the Debian Science team
  * [c41f178] Forced disable of llvm (Closes: #554618),
    force to use system lib (PCRE,UMFPACK,PORTAUDIO,ZLIB,AMD)
  * [4b908af] Add libvolpack1-dev in Build-depends

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 09 Dec 2009 16:40:09 +0100

freemat (4.0-1) unstable; urgency=low

  * [0e4c370] Updated watch file
  * [546bcbb] Imported Upstream version 4.0
  * [224721e] Updated my email address and removed DM-Upload-Allowed
    control field
  * [4d1e047] Updated to Standards-Version 3.8.3 (no changes needed)
  * [b3f2cac] Removed old patches no more needed
  * [fb6e2c0] Added cmake and llvm-dev in Build-Depends
  * [02aa598] Adjust debian/rules to use cmake
  * [f8c94c7] Rename FreeMat.conf to FreeMat v4.0.conf
  * [3dc2f7b] Move /etc/xdg/FreeMat/FreeMat.conf in
    /etc/xdg/FreeMat/FreeMat v4.0.conf without triggering a dpkg
    question

 -- Giuseppe Iuculano <iuculano@debian.org>  Thu, 15 Oct 2009 21:07:05 +0200

freemat (3.6+dfsg-8) unstable; urgency=low

  * [da4aa11] debian/patches/11_svn_fixes.patch: Backport some fixes
    from svn:
    + Fixed zooming in figures with axis image attribute set.
    + [f4dbd34] Don't change axis directions.
    + [479845b] removed trailing spaces when copy and paste from Command
      Window
  * [25184bb] debian/control: freemat package now depends on freemat-data
    (= ${source:Version})
  * [6e1ad18] Bump to debhelper 7 compatibility levels
  * [7bbb9f2] debian/rules: Use dh_prep instead of dh_clean -k
  * [6bbf295] debian/control: Updated VCS control field

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 03 Mar 2009 21:18:45 +0100

freemat (3.6+dfsg-7) unstable; urgency=low

  * [9d84234] debian/control: libarpack2-dev is missing in alpha, so
    build-depending on "libarpack2-dev [!alpha]"
  * [7c42d28] debian/copyright: use © symbol and fix new lintian warning

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 09 Jan 2009 14:04:44 +0100

freemat (3.6+dfsg-6) unstable; urgency=low

  * [1666c43] debian/patches/06_fix_ftbfs_on_alpha.dpatch: Apply this
    patch to all archs
  * [f845eaa] Switch to quilt
  * [b7536af] debian/README.source: Updated with quilt info
  * [fb36291] debian/patches/09_warning.patch: ask in the warning if
    freemat-help was installed (Closes: #510115)
  * [fdd126d] debian/rules: rebuild main.pdf from source 
    (Closes: #495747)
  * [2d9689e] debian/patches/10_pdf.patch: escape "_" and fix pdf build
    failure
  * [559ad18] debian/control: Added texlive in Build-Depends

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 29 Dec 2008 23:34:55 +0100

freemat (3.6+dfsg-5) unstable; urgency=low

  * debian/control: Added Vcs-Git and Vcs-Browser control field
  * debian/control: libarpack2-dev is back, added again in Build-depends
  * debian/README.source: document dpatch usage, as required by Debian
    Policy since 3.8.0

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Thu, 04 Dec 2008 00:22:03 +0100

freemat (3.6+dfsg-4) unstable; urgency=low

  * debian/patches/06_fix_ftbfs_on_alpha.dpatch: Attempt to fix FTBFS on alpha
  * debian/control: Set DM-Upload-Allowed: yes control field
  * debian/patches/07_fix_FTBFS_with_GCC_4.4.dpatch: Fix FTBFS with GCC 4.4
    (Closes: #505135)
  * debian/patches/08_fix_editor_freeze.dpatch: Fix freeze on editor closing,
    thanks to Chuong Nguyen (LP: #295093)
  * debian/FreeMat.conf: install a simple conf file to avoid the initial
    freemat -i command
  * debian/README.Debian: Removed.

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 29 Nov 2008 11:36:25 +0100

freemat (3.6+dfsg-3) unstable; urgency=high

  * Removed libarpack2-dev from Build-Depends due to license issue, this
    disable Eigenvalues for Sparse Matrices functions. (Closes: #497723) 

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 03 Sep 2008 23:37:08 +0200

freemat (3.6+dfsg-2) unstable; urgency=low

  * debian/freemat.1:
    + Fix defualt freemat data path
    + Typo, remove a .TP before AUTHOR section.
  * Added a README.Debian to explain freemat -i /usr/share/freemat command
  * debian/patches/05_nostrip.dpatch: do not strip binaries 
  * Added debian/freemat.desktop, and added dh_desktop in debian/rules
  * debian/copyright: Fixed some debian-copyright-line-too-long lintian
    warning
  * debian/control: move freemat-data from Recommends to Depends, freemat
    really needs it



=== debian/control ===
Source: freemat
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Giuseppe Iuculano <iuculano@debian.org>, Anton Gladky <gladky.anton@gmail.com>
Build-Depends: debhelper (>= 9), autotools-dev, autoconf, automake, gfortran, 
  libpcre3-dev, libncurses5-dev, libfftw3-dev, libqt4-dev, libqt4-opengl-dev, 
  libsuitesparse-dev, zlib1g-dev, portaudio19-dev, libglu1-mesa-dev, libffcall1-dev, 
  minpack-dev, pkg-config, libarpack2-dev, cmake, libvolpack1-dev
Build-Depends-Indep: texlive
Build-Conflicts: libqt3-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://freemat.sourceforge.net
Vcs-Git: git://git.debian.org/debian-science/packages/freemat.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/freemat.git

Package: freemat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freemat-data (= ${source:Version})
Recommends: freemat-help
Description: mathematics framework (mostly matlab compatible)
 FreeMat is a free environment for rapid engineering and scientific prototyping
 and data processing. It is similar to commercial systems such as MATLAB from
 Mathworks, and IDL from Research Systems, but is Open Source.
 FreeMat is available under the GPL license.

Package: freemat-data
Architecture: all
Depends: ${misc:Depends}
Recommends: freemat
Description: freemat data files
 FreeMat is a free environment for rapid engineering and scientific prototyping
 and data processing. It is similar to commercial systems such as MATLAB from
 Mathworks, and IDL from Research Systems, but is Open Source.
 FreeMat is available under the GPL license.
 .
 This package install freemat data files

Package: freemat-help
Architecture: all
Depends: ${misc:Depends}
Recommends: freemat
Description: freemat help files
 FreeMat is a free environment for rapid engineering and scientific prototyping
 and data processing. It is similar to commercial systems such as MATLAB from
 Mathworks, and IDL from Research Systems, but is Open Source.
 FreeMat is available under the GPL license.
 .
 This package install freemat help files

=== debian/watch ===
version=3

opts="filenamemangle=s/FreeMat/freemat/,dversionmangle=s/.dfsg//,uversionmangle=s/.Source//" \
http://sf.net/freemat/FreeMat-(.*)\.tar\.gz
